### Method

# FwupdPlugin Hwids get_chid_keys

#### Declaration [src]

    GPtrArray*
    fu_hwids_get_chid_keys (
      FuHwids* self
    )

#### Description [src]

Returns all the CHID keys added by fu_hwids_add_chid().

Available since: | 1.9.16

#### Return value

Returns: | An array of `utf8`
| IDs.
| The caller of the method takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.